"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const pipcook_core_1 = require("@pipcook/pipcook-core");
const path = __importStar(require("path"));
const uuidv1 = require('uuid/v1');
const fs = require('fs-extra');
const detectionDetectronModelDeploy = (dataHolder, modelHolder, args) => __awaiter(void 0, void 0, void 0, function* () {
    const { data = '', model = '' } = args || {};
    if (!data) {
        return;
    }
    const trainDataPath = path.join(process.cwd(), '.temp', uuidv1());
    try {
        const images = [];
        for (let i = 0; i < data.length; i++) {
            const picName = uuidv1() + '.png';
            yield pipcook_core_1.downloadZip(data[i], path.join(trainDataPath, 'images', picName));
            images.push(path.join(trainDataPath, 'images', picName));
        }
        const prediction = yield model.predict(images);
        return prediction;
    }
    finally {
        fs.removeSync(trainDataPath);
    }
});
exports.default = detectionDetectronModelDeploy;
//# sourceMappingURL=index.js.map